Subject: Re: bug#77924: 31.0.50; [Feature branch] Change marker implementation

From: Pip Cet <[email-masked]>
Date: Thu, 24 Apr 2025 11:15:50 +0000

Gerd Möllmann <[email-masked]> writes:

> Gerd Möllmann <[email-masked]> writes:
>
>> So, one could, theoretically store the charpos in a field of a marker
>> when "unchaining" it. Ugly, but doable.
>
> And one could do something practically, which I now pushed to savannah.

Can you explain how that works in the non-indirect buffer case?  AFAICT,
we call marker_vector_reset but not marker_vector_remove in that case,
and there is no code in marker_vector_reset to remember the last
charpos.  And the comment in marker_vector_reset sounds like it's not
called at all in the IGC case?

Pip